> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stake authority rewards metrics

> This endpoint returns a bunch of useful information about the historical rewards earned by stake authority based on its aggregated stake accounts.

These endpoints return information about the rewards received by a delegator (stake account or stake authority), including MEV rewards it has claimed, and commissions it has paid. The data can be broken down at a daily level.

<Note>
  Earliest data available is from April 1, 2024.
</Note>


## OpenAPI

````yaml get /v1/solana/delegators/stakeAuthorities/{stake_authority}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/delegators/stakeAuthorities/{stake_authority}/rewards:
    get:
      tags:
        - Solana Rewards
      summary: Get stake authority rewards metrics
      description: >-
        This endpoint returns a bunch of useful information about the historical
        rewards earned by stake authority based on its aggregated stake
        accounts.
      operationId: >-
        stake_authority_stats_v1_solana_delegators_stakeAuthorities__stake_authority__rewards_get
      parameters:
        - name: stake_authority
          in: path
          required: true
          schema:
            type: string
            title: Stake Authority
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 15
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            description: UTC day (deprecated in favour of fromDate)
            deprecated: true
            title: From
          description: UTC day (deprecated in favour of fromDate)
          deprecated: true
        - name: includeDelegations
          in: query
          required: false
          schema:
            type: boolean
            description: Include stake percentage of individual delegations in the results
            default: false
            title: Includedelegations
          description: Include stake percentage of individual delegations in the results
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__9
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__9:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $defs:
              SolanaDelegation:
                properties:
                  validatorVoteAccount:
                    anyOf:
                      - type: string
                      - type: 'null'
                    title: Validatorvoteaccount
                  validatorName:
                    anyOf:
                      - type: string
                      - type: 'null'
                    title: Validatorname
                  percentage:
                    anyOf:
                      - type: number
                      - type: string
                      - type: 'null'
                    title: Percentage
                type: object
                title: SolanaDelegation
            properties:
              stakeAuthority:
                type: string
                title: Stakeauthority
              day:
                type: string
                format: date
                title: Day
              fromTimestamp:
                type: string
                format: date-time
                title: Fromtimestamp
              toTimestamp:
                type: string
                format: date-time
                title: Totimestamp
              fromSlot:
                type: integer
                minimum: 0
                title: Fromslot
              toSlot:
                type: integer
                minimum: 0
                title: Toslot
              fromEpoch:
                type: integer
                minimum: 0
                title: Fromepoch
              toEpoch:
                type: integer
                minimum: 0
                title: Toepoch
              stakingRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Stakingrewards
              stakingCommissionPaid:
                anyOf:
                  - type: number
                  - type: string
                title: Stakingcommissionpaid
              delegatedStake:
                anyOf:
                  - type: number
                  - type: string
                title: Delegatedstake
              validatorDelegates:
                type: integer
                minimum: 0
                title: Validatordelegates
              delegations:
                anyOf:
                  - items:
                      $ref: '#/components/schemas/SolanaDelegation'
                    type: array
                  - type: 'null'
                title: Delegations
              blendedVoteCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Blendedvotecommissionrate
              mevRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Mevrewards
              blendedMevCommissionRate:
                anyOf:
                  - type: number
                  - type: string
                  - type: 'null'
                title: Blendedmevcommissionrate
              mevCommissionPaid:
                anyOf:
                  - type: number
                  - type: string
                title: Mevcommissionpaid
              missedStakingRewards:
                anyOf:
                  - type: number
                  - type: string
                title: Missedstakingrewards
            type: object
            required:
              - stakeAuthority
              - day
              - fromTimestamp
              - toTimestamp
              - fromSlot
              - toSlot
              - fromEpoch
              - toEpoch
              - stakingRewards
              - stakingCommissionPaid
              - delegatedStake
              - validatorDelegates
              - mevRewards
              - mevCommissionPaid
              - missedStakingRewards
            title: SolanaDelegatorStakeAuthorityRewards
            examples:
              - blendedMevCommissionRate: 0.07
                blendedVoteCommissionRate: 0.07
                day: '2024-04-04'
                delegatedStake: 4.61
                delegations:
                  - percentage: 0.8
                    validatorName: Ledger by Figment
                    validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
                  - percentage: 0.2
                    validatorName: Aurora Validator
                    validatorVoteAccount: 34yvUa2fxfm2tUqxFEj9PHrVNwCcdzd51eo9hntWpZRs
                fromEpoch: 597
                fromSlot: 258212466
                fromTimestamp: '2024-04-04 00:00:00'
                mevCommissionPaid: 0
                mevRewards: 0
                missedStakingRewards: 0
                stakeAuthority: q9XWcZ7T1wP4bW9SB4XgNNwjnFEJ982nE8aVbbNuwot
                stakingCommissionPaid: 0.0001
                stakingRewards: 0.002
                toEpoch: 598
                toSlot: 258394459
                toTimestamp: '2024-04-04 23:59:59'
                validatorDelegates: 2
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1SolanaDelegatorStakeAuthorityRewards
      examples:
        - next: >-
            https://api.rated.network//v1/solana/delegators/stakeAuthorities/{stake_authority}/rewards?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/solana/delegators/stakeAuthorities/{stake_authority}/rewards?limit=10&offset=10
          results:
            - - blendedMevCommissionRate: 0.07
                blendedVoteCommissionRate: 0.07
                day: '2024-04-04'
                delegatedStake: 4.61
                delegations:
                  - percentage: 0.8
                    validatorName: Ledger by Figment
                    validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
                  - percentage: 0.2
                    validatorName: Aurora Validator
                    validatorVoteAccount: 34yvUa2fxfm2tUqxFEj9PHrVNwCcdzd51eo9hntWpZRs
                fromEpoch: 597
                fromSlot: 258212466
                fromTimestamp: '2024-04-04 00:00:00'
                mevCommissionPaid: 0
                mevRewards: 0
                missedStakingRewards: 0
                stakeAuthority: q9XWcZ7T1wP4bW9SB4XgNNwjnFEJ982nE8aVbbNuwot
                stakingCommissionPaid: 0.0001
                stakingRewards: 0.002
                toEpoch: 598
                toSlot: 258394459
                toTimestamp: '2024-04-04 23:59:59'
                validatorDelegates: 2
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    SolanaDelegation:
      properties:
        validatorVoteAccount:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorvoteaccount
        validatorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorname
        percentage:
          anyOf:
            - type: string
            - type: 'null'
          title: Percentage
      type: object
      title: SolanaDelegation
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````